petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatPartitioningSetAdjacency

Sets the adjacency graph (matrix) of the thing to be partitioned.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetAdjacency(MatPartitioning part,Mat adj)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| adj | - the adjacency matrix

### See Also

MatPartitioningCreate()

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html
src/mat/examples/tutorials/ex15f.F90.html
src/mat/examples/tutorials/ex17f.F90.html
src/ksp/ksp/examples/tutorials/ex64.c.html
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages